#
# spec file for package yast2-bootloader (Version 2.8.23)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gpp hwinfo libgpp libxcrypt libxcrypt-devel yast2-country yast2-devel-packages yast2-installation yast2-packager yast2-storage
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib curl dejagnu expect gcc gcc-c++ gdbm gettext hwinfo kdoc libstdc++-devel libtool libxcrypt-devel liby2util liby2util-devel perl perl-XML-Writer popt-devel rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-country yast2-devtools yast2-installation yast2-packagemanager yast2-packagemanager-devel yast2-packager yast2-storage yast2-testsuite

Name:         yast2-bootloader
Version:      2.8.23
Release:      1
License:      YaST License
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-bootloader-2.8.23.tar.bz2
PreReq:       /bin/sed %fillup_prereq
Requires:     yast2 yast2-core yast2-storage
Provides:     yast2-config-bootfloppy yast2-config-lilo yast2-config-bootloader
Obsoletes:    yast2-config-bootfloppy yast2-config-lilo yast2-config-bootloader
Provides:     yast2-agent-liloconf yast2-agent-prom yast2-trans-bootfloppy
Obsoletes:    yast2-agent-liloconf yast2-agent-prom yast2-trans-bootfloppy
Provides:     yast2-trans-inst-bootloader yast2-trans-lilo yast2-trans-boot
Obsoletes:    yast2-trans-inst-bootloader yast2-trans-lilo yast2-trans-boot
Provides:     y2c_boot y2t_boot
Obsoletes:    y2c_boot y2t_boot
Provides:     y2t_inst-bootloader yast2-agent-liloconf-devel yast2-agent-prom-devel
Obsoletes:    y2t_inst-bootloader yast2-agent-liloconf-devel yast2-agent-prom-devel
Summary:      YaST2 - component for bootloader configuration

%description
This package contains the YaST2 component for bootloader configuration.



Authors:
--------
    Dan Meszaros

%prep
%setup -n yast2-bootloader-2.8.23

%build
y2tool y2autoconf
y2tool y2automake
autoreconf --force --install
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "/usr/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check
for f in `find $RPM_BUILD_ROOT//usr/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post
%{fillup_only -n bootloader}

%files
%defattr(-,root,root)
# menu items
%ifnarch s390 s390x
/usr/share/YaST2/config/bootfloppy.y2cc
/usr/share/YaST2/config/bootloader.y2cc
/usr/share/applications/YaST2/bootfloppy.desktop
/usr/share/applications/YaST2/bootloader.desktop
%endif
%ifarch %ix86 x86_64
/usr/share/YaST2/data/mbr
%endif
%doc /usr/share/doc/packages/yast2-bootloader
%dir /usr/share/YaST2/include/bootloader
/usr/share/YaST2/include/bootloader/*
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/clients/*.ycp
/usr/lib/YaST2/bin/*
# lilo agent
%{_libdir}/YaST2/plugin/libpy2ag_liloconf.so.*
/usr/share/YaST2/scrconf/lilo.scr
/usr/share/YaST2/scrconf/elilo.scr
/usr/share/YaST2/scrconf/silo.scr
/usr/share/YaST2/scrconf/grub.scr
/usr/share/YaST2/scrconf/cfg_bootloader.scr
# lilo agent - devel
%{_libdir}/YaST2/plugin/libpy2ag_liloconf.so
%{_libdir}/YaST2/plugin/libpy2ag_liloconf.la
%docdir /usr/share/doc/packages/yast2-bootloader
#prom agent - sparc(64) only
%ifarch sparc sparc64
%{_libdir}/YaST2/plugin/libpy2ag_prom.so.*
/usr/share/YaST2/scrconf/prom.scr
%{_libdir}/YaST2/plugin/libpy2ag_prom.so
%{_libdir}/YaST2/plugin/libpy2ag_prom.la
%endif
/var/adm/fillup-templates/*

%changelog -n yast2-bootloader
* Mon Feb 16 2004 - jsrain@suse.de
- Fixed setting newly installed CD drive (missing namespace of a
  function call) (#34413)
- 2.8.23
* Mon Sep 22 2003 - jsrain@suse.de
- fixed assigning of default section when changed default secion's
  label in LILO (#30122)
- 2.8.22
* Fri Sep 19 2003 - jsrain@suse.de
- fixed testsuite (again)
- 2.8.21
* Thu Sep 18 2003 - nashif@suse.de
- Fixed testsuite
- 2.8.20
* Thu Sep 18 2003 - jsrain@suse.de
- again adding maxcpus=0 to failsafe bootloader entry on AMD64
  (#30519)
- fixed possibily missing "splash=silent" in default kernel's
  command line (#31256)
- 2.8.19
* Tue Sep 16 2003 - jsrain@suse.de
- fixed merging of other GRUB menus (#30757)
- fixed translating of menubutton entry during installation (#31054)
- 2.8.18
* Mon Sep 15 2003 - jsrain@suse.de
- fixed popup reporting error when creating initrd (#30714)
- fixed detection if root kernel parameter is specified via major
  and minor number (#30842)
- adding only one "splash=silent" to kernel command line (#30860)
- adding "splash=silent desktop" to kernel command line during
  update (#28780)
- propose "floppy" entry to bootloader menu only if floppy drive
  is present (#30772)
- don't install bootloader packages in repair mode (#30272)
- 2.8.17
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Fri Sep 12 2003 - jsrain@suse.de
- not adding maxcpus=0 to failsafe kernel parameters on AMD64
  (#30519)
- fixed updating of kernel image name in bootloader configuration
  files (#30627)
- fixed original bootloader configuration reading during update
  (#30625)
* Thu Sep 11 2003 - jsrain@suse.de
- removed forgotten debug code (#30396)
* Wed Sep 10 2003 - jsrain@suse.de
- fixed update of metadata for sysconfig variable LOADER_TYPE
  (#30352)
* Mon Sep 08 2003 - jsrain@suse.de
- fixed bootloader menu entry - windows -> Windows (like other
  entries) (#29600)
- use device file name when specifying root device for LVM and MD
  instead of using major and minor number (#28028)
- prefix 0x should be added to major/minor number identifying root
  device only for LILO (#29776)
- 2.8.15
* Fri Sep 05 2003 - jsrain@suse.de
- merged texts from proofread
- fixed configuration proposal when root or boot partition is on md
  (#30122)
- 2.8.14
* Thu Sep 04 2003 - jsrain@suse.de
- if variable with list of initrd modules in sysconfig doesn't
  exist, set default value to empty (#30020)
* Wed Sep 03 2003 - jsrain@suse.de
- don't write 'single' to slot A kernel command line on IBM iSeries
  (arch. PPC) (#27984) (olh@suse.de)
* Mon Sep 01 2003 - jsrain@suse.de
- fixed bootloader installation with numeric (major-minor) root
  device specification (#29776)
- not proposing booting from floppy if /boot is beyond 1024 cylinder
  as it doesn't solve anything (#29524)
- 2.8.13
* Thu Aug 28 2003 - jsrain@suse.de
- fixed displayed section type in sections summary dialog for
  "other" sections (#29472)
- don't ask for abort confirmation during installation if settings
  were changed in previous run of component from proposal (#29496)
- 2.8.12
* Mon Aug 25 2003 - jsrain@suse.de
- fixed inconsistence of floppy size (1440kB -> 1.44 MB) (#29142)
- reporting segmentation fault when running bootloader binary
  (#29199)
- added correct help for configuration writing dialog
- improved help text for rescue floppy (#29143)
- 2.8.11
* Mon Aug 18 2003 - jsrain@suse.de
- fixed creating of boot floppy (#28994)
- updated comments in susconfig fillup (#28845)
- moved dir for backup MBR to /var/lib/YaST2, in /boot leaving just
  last MBR (this way it can be inserted to GRUB menu) (#28802)
- backup-ing areas really affected when saving bootloader
  configuration (MBR of first disk and sector bootloader is
  installed to) (#28803)
- 2.8.10
* Wed Aug 13 2003 - jsrain@suse.de
- fixed bootloader update
- better comments around YaST2 metadata in generated cfg. files
- 2.8.9
* Tue Aug 12 2003 - jsrain@suse.de
- added support for not installing any bootloader
- recreate reset menubutton after bootloader switch
- updated update functionality (replace vmlinuz.shipped images with
  vmlinuz, dtto for initrd)
* Mon Aug 11 2003 - jsrain@suse.de
- not using .shipped image any more (kernel package doesn't contain
  it)
- merged texts from proofread
- added more verbose logging of proposing configuration
- 2.8.8
* Thu Aug 07 2003 - jsrain@suse.de
- fixed lost sections when changhing bootloader location (#28552)
- not offering to replace partition booting from HDD with partition
  for booting from floppy when changed GRUB location to other disk
  partition if entry for booting from HDD doesn't exist
- fixed proposing of LILO configuration (put multiple times into
  quotes, some options weren't displayed correctly in summary table)
- fixed lost sections in many other cases
- removed popup informing about changed disk partitioning although
  it was unchanged during installation proposal
- 2.8.7
* Mon Aug 04 2003 - jsrain@suse.de
- added .desktop files
- 2.8.6
* Thu Jul 31 2003 - jsrain@suse.de
- don't offer extra /boot and / partition as bootloader location
  if they are the same
* Tue Jul 29 2003 - jsrain@suse.de
- added possibility to clone selected bootloader section (#26458)
- fixed creation of lilo.conf - quotes were missing
- entries to bootloader are to be translated (#26800)
* Wed Jul 23 2003 - jsrain@suse.de
- Using major/minor number for unusual devices instead of device
  node name in root kernel parameter (#28028)
* Mon Jul 21 2003 - jsrain@suse.de
- double click on tables now triggers Edit (#25156)
- fixed testuite and building
- 2.8.5
* Tue Jul 08 2003 - jsrain@suse.de
- fixed question popup if canceling configuration (#27479)
- installing additional copy of bootloader bootsector to bootsector
  of /boot partition for LILO and GRUB (#27389)
- not activating any partition by default if some already active
  (#26278)
- 2.8.4
* Wed Jun 25 2003 - jsrain@suse.de
- fixed several minor bugs
- 2.8.3
* Mon Jun 23 2003 - jsrain@suse.de
- fixed common_popups, common_messages -> YCP modules
- fixed missing imports
- 2.8.2
* Thu Jun 12 2003 - jsrain@suse.de
- fixed file list
- fixed user interface
- 2.8.1
* Wed May 28 2003 - jsrain@suse.de
- updated PPC bootloader support
* Fri May 16 2003 - jsrain@suse.de
- fixed collision with driver update (#26717)
* Thu May 15 2003 - jsrain@suse.de
- updated ELILO (IA64 bootloader) support
* Mon May 05 2003 - jsrain@suse.de
- updated and optimized some internal structures and related
  functions
* Thu Apr 24 2003 - jsrain@suse.de
- updated doaboot script (ro@suse.de)
* Wed Apr 23 2003 - jsrain@suse.de
- updated widget handling functions interface
- updated documentation
* Tue Apr 22 2003 - jsrain@suse.de
- added possibility to download boot floppy image via FTP/HTTP
  (#26175)
- added possibility to restore last MBR saved during isntallation
  or bootloader configuration (#16338)
* Fri Apr 18 2003 - jsrain@suse.de
- no more retaking current kernel parameters to bootloader
  configuration file when configuring installed system (#26304)
- fixed devices for MBR/boot partition/root/partition when
  installing on md (#26287)
- not activating any partition during update (#26323)
- better checkign of bootloader-on-floppy installation (#26323)
- in case of inconsistence between sysconfig and bootlaoder cfg.
  file bootloader cfg.file is prefered (#26323)
- fixed possible tmp filename security problem of installation
  on AXP (#26357)
- displaying partition that will be activated and MBR device that
  will be replaced with generic code (partial fix of #26278)
- added possibility to save MBR before bootloader installation and
  insert saved MBR image to GRUB menu (#16338)
- 2.8.0
* Tue Apr 08 2003 - jsrain@suse.de
- added possibility to save all settings and reinstall bootloader
  although nothing was changed (#24346)
* Fri Apr 04 2003 - jsrain@suse.de
- code cleanup and optimalization
- added bootloader parameters support, made routines more universal
- documentation update
* Thu Apr 03 2003 - jsrain@suse.de
- allowed bootfloppy to format floppy disk and select device
- allowed bootfloppy to use custom image (22376)
- other minor bootfloppy updates and code cleanup
* Mon Mar 24 2003 - jsrain@suse.de
- removed reading of initrd modules from install_inf (#24709)
* Fri Mar 21 2003 - jsrain@suse.de
- updated documentation
- updated testsuite
- several minor updates and optimalizations
* Tue Mar 18 2003 - jsrain@suse.de
- fixed undeclared variable title (#25560)
- 2.7.19
* Mon Mar 17 2003 - jsrain@suse.de
- fixed displaying of logs on bootloader errors (#25470)
- 2.7.18
* Mon Mar 17 2003 - jsrain@suse.de
- fixed updating GRUB configuration if entry with other system was
  present and set as default (#25418)
- 2.7.17
* Fri Mar 14 2003 - jsrain@suse.de
- fixed behaviour when iditing empty section, when creating new
  section, add most common keys (#25305)
- fixed initrd modules cloning (#25351)
- 2.7.16
* Tue Mar 11 2003 - jsrain@suse.de
- using activate instead of sfdisk to activate bootloader
  partition, because sfdisk has unwanted side effects (#24740)
- 2.7.15
* Mon Mar 10 2003 - jsrain@suse.de
- fixed filtering of modules added to initrd (#24709)
- fixed partition activation if bootloader in logical disk (#24740)
- 2.7.14
* Fri Mar 07 2003 - jsrain@suse.de
- fixed update from version without sysconfig variables specifying
  used bootloader (#24783)
- fixed reading configuration, not using agent's cache (#24821)
- 2.7.13
* Wed Mar 05 2003 - jsrain@suse.de
- fixed multiple occurences of map option in one GRUB section
  (#24627)
- not adding automatically the apic kernel option (#24668)
- fixed error message in log during saving (#24705)
* Mon Mar 03 2003 - jsrain@suse.de
- added possibility to force complete bootloader save (not save
  only if settings have changed - no UI change, only for other
  modules that need it)
- merged texts from final proofreading
- 2.7.12
* Fri Feb 28 2003 - jsrain@suse.de
- updated the detection of changes of settings (#24422)
- 2.7.11
* Thu Feb 27 2003 - jsrain@suse.de
- fixed ordering of bootloader options (#24420)
* Mon Feb 24 2003 - jsrain@suse.de
- updated confirmation popup after bootloader is isntalled to
  floppy (#23903)
- fixed forgotten saving of cfg. files in some cases (#24073)
- in repair mode reading bootloader type from sysconfig, no probing
  (#24062)
- 2.7.10
* Fri Feb 21 2003 - jsrain@suse.de
- fixed adding of memtest to bootloader menu (#23924)
- fixed help text and behaviour of password option popup (#23954)
- added support for easy updating initrd contents during system
  update (#23976)
- fixed setting focus in popups (#24050)
* Thu Feb 20 2003 - jsrain@suse.de
- changed executing /sbin/mk_initrd -> /sbin/mkinitrd
- reorganized kernel parameters when using GRUB (#23829)
- fixed capitalization of YCC labels (#23848)
- 2.7.9
* Wed Feb 19 2003 - jsrain@suse.de
- changed color of text-mode LILO menu - now is blue
- removed unwanted reseting of "disk" LILO option when reproposing
  configuraition - some systems could be unbootable with LILO
  without possibility to prevent it at installation time
- updated ydoc comments
- fixed conversion between GRUB and LILO (#23826)
* Mon Feb 17 2003 - jsrain@suse.de
- added popup when bootloader saved to floppy (#23571)
- added extra stage in progress bar for reading disks partitioning
  (#23712)
- 2.7.8
* Fri Feb 14 2003 - jsrain@suse.de
- added splash-screen's size parameter when calling mk_initrd
  (#23579)
* Thu Feb 13 2003 - jsrain@suse.de
- fixed floppy entry in bootloader menu behaviour - if installing
  to floppy, hard disk is used instead (#23572)
* Mon Feb 10 2003 - jsrain@suse.de
- fixed proposing with merging GRUB menus, resulted in doubled
  items (#23346)
- merged proofread texts from second and third round
- 2.7.7
* Wed Feb 05 2003 - jsrain@suse.de
- fixed bootloader changing during installation (#20759)
- fixed list of locations to hold bootloader bootsector (#17320)
* Tue Feb 04 2003 - jsrain@suse.de
- updates of autoinstallation
* Mon Feb 03 2003 - jsrain@suse.de
- fixed NCurses usability - focus setting
- 2.7.6
* Fri Jan 31 2003 - jsrain@suse.de
- not adding lvm groups and md disks to device map (#23217)
* Thu Jan 30 2003 - jsrain@suse.cz
- fixed setting of vga= kernel parameter (#23188)
* Wed Jan 29 2003 - jsrain@suse.de
- patched proofread texts
* Tue Jan 28 2003 - jsrain@suse.de
- fixed compilation of MBR only on selected platforms
- 2.7.5
* Mon Jan 27 2003 - jsrain@suse.de
- added new testsuites
- added missing translators comments
- added missing functions comments
- made Replace code in MBR function running
- 2.7.4
* Fri Jan 24 2003 - jsrain@suse.de
- fixed too often blinking floppy
- fixed Changed column modifying
* Thu Jan 23 2003 - jsrain@suse.de
- fixed fillup-template usage
- changed symbols in export map to strings because of
  autoinstallation
- 2.7.3
* Wed Jan 22 2003 - jsrain@suse.de
- fixed meaningless log messages (#23025)
* Fri Jan 17 2003 - jsrain@suse.de
- fixed detection of disks configuration changes that may decide to
  use other bootloader (#22918)
- updated S390 installation
- 2.7.2
* Fri Jan 10 2003 - jsrain@suse.de
- fixed failsafe kernel parameters on i386 (#22539)
* Fri Dec 20 2002 - jsrain@suse.de
- added documentation files
* Thu Dec 19 2002 - jsrain@suse.de
- fixed path to elilo.conf (IA64 only affected) (#22502)
* Tue Dec 17 2002 - jsrain@suse.de
- now using fillup-template for sysconfig/bootloader
* Fri Dec 13 2002 - jsrain@suse.de
- fixed ordering of modules in initrd
- added function for changing write process settings
* Wed Dec 11 2002 - jsrain@suse.de
- if something goes wrong during bootloader installation saving, it
  is now possible to fix configuration (#21076)
- possible to change section type an easy way (#19451)
- dialogs updates
- other updates and fixes
- adding sysconfig metadata
- 2.7.1
* Wed Dec 04 2002 - jsrain@suse.cz
- Removed global variables from Liloagent, now able to be used at
  once for more bootloaders
- Added GRUB option types to LiloAgent
- Removed test mode and possible security problem from bootfloppy
  (#20962)
- Fixed several problems of LiloAgent
- Fixed ask for floppy popup (#10485)
- If no initrd created, GRUB's menu.lst doesn't contain it now
  (#21469)
- 2.7.0
* Tue Nov 19 2002 - schwab@suse.de
- Use product name for EFI boot manager entry (#21879).
- Report error when boot loader installation fails.
* Wed Nov 13 2002 - jsrain@suse.cz
- again fixed installing a kernel to *NWSSTG when root is on RAID
  on PPC (#21368)
- creating syntactically correct menu.lst file for GRUB, contents
  may be still incorrect on some servers (#20637)
- 2.6.66
* Tue Nov 05 2002 - jsrain@suse.cz
- Bugfix - LTC1394 - FTP installation to root on LVM didn't install
  a kernel on PPC (#20933)
- 2.6.65
* Wed Oct 30 2002 - kukuk@suse.de
- fix log path in dosilo script
- update_silo_conf: modify version number in /boot/message
- BootSILO.ycp: Don't show popup on success when installing silo
* Wed Oct 30 2002 - kukuk@suse.de
- fix log path in dosilo script
- update_silo_conf: modify version number in /boot/message
- BootSILO.ycp: Don't show popup on success when installing silo
* Tue Oct 29 2002 - jsrain@suse.cz
- fixed target dialog for x86-64 (#21258)
- fixed selecting a prep boot partition on the root drive on PPC
  (#21315)
- fixed installing a kernel to *NWSSTG when root is on RAID on PPC
  (#21368)
- 2.6.64
* Fri Oct 25 2002 - arvin@suse.de
- log output of mk_initrd also on S390 (bug #21273)
- 2.6.63
* Mon Oct 14 2002 - jsrain@suse.cz
- fixed activating of boot partition if not instaling bootloader
  (#20874)
- 2.6.62
* Fri Oct 11 2002 - jsrain@suse.cz
- fixed security problem with permissions of /boot/grub/menu.lst
  (#20803)
- activating /boot partition if grub installed to mbr (part of
  #20637)
- 2.6.61
* Thu Oct 10 2002 - jsrain@suse.cz
- if bootloader which should be used is not selected for
  installation, backup one is installed on i386 and x86-64
  (grub instead of lilo and lilo instead of grub) (#20759)
* Wed Oct 09 2002 - jsrain@suse.cz
- now not enabling 2 gettys on same serial line on p690 (#19788)
* Tue Oct 08 2002 - jsrain@suse.cz
- fixed type in initrd modules ignore list for PPC (#20684)
- 2.6.59
* Mon Oct 07 2002 - jsrain@suse.cz
- fixed activating boot method on PPC (#20407)
- fixed helptexts on PPC (#20605)
- fixed translating of PPC-specific strings
- 2.6.58
* Fri Oct 04 2002 - jsrain@suse.cz
- added more comments to bootloader in sysconfig/bootloader (#20385)
- fixed restoring original configuration - could caused unbootable
  system (#20391)
- 2.6.57
* Wed Oct 02 2002 - jsrain@suse.cz
- fixed update of lilo, resulted in corrupted lilo.conf (#20320)
- fixed errors reporting during bootloader update (#20321)
- fixed activating of initrd at update (#19643)
* Tue Oct 01 2002 - jsrain@suse.cz
- fixed nasty trap in bootloader installation (now not reseting
  configuration without question) (#20073)
* Fri Sep 27 2002 - jsrain@suse.cz
- applied patches for PPC (#20178 and #20205 - initrd modules list)
* Fri Sep 27 2002 - lslezak@suse.cz
- fixed configuration reset at installation proposal
  if partitioning was changed (#20073)
- fixed failsafe options on x86-64 (removed disableapic,
  added iommu=noforce) (#19903)
* Tue Sep 24 2002 - lslezak@suse.cz
- check if label already exists (in section edit),
  allow labels longer than 15 chars for grub (#19874)
- removed 'nosmp' from failsafe options on x86-64 (#19903)
- don't add rewritten other section to menu (#19990)
- version 2.6.56
* Tue Sep 17 2002 - lslezak@suse.de
- fixed obsoleted help text in y2cc (#19466)
- version 2.6.55
* Fri Sep 13 2002 - mvidner@suse.cz
- bootfloppy: enable asking the user for the CD (#19628).
- 2.6.54
* Fri Sep 13 2002 - fehr@suse.de
- make supression of certain modules (cdrom and usb) work
- version 2.6.53
* Thu Sep 12 2002 - lslezak@suse.cz
- do not regenerate device.map file at update (part of #19555)
- version 2.6.52
* Thu Sep 12 2002 - fehr@suse.de
- fix to use lilo on update if there is no /etc/sysconfig/bootloader
  (#19558)
* Thu Sep 12 2002 - lslezak@suse.cz
- add current kernel parameters to lilo.conf at update (#19415)
- added missing function DisplayLogFile to BootSILO.ycp, BootELILO.ycp
- version 2.6.51
* Thu Sep 12 2002 - kkaempf@suse.de
- run mkinitrd on PPC if needed (#18276)
- 2.6.50
* Thu Sep 12 2002 - kkaempf@suse.de
- exclude usb modules from initrd (#19432)
- 2.6.49
* Wed Sep 11 2002 - lslezak@suse.cz
- don't change configuration if partitioning was changed
  and bootloader location is floppy (at installation proposal) (#19388)
- allow installation on extended partition (at installation) (#19184)
- version 2.6.48
* Tue Sep 10 2002 - kkaempf@suse.de
- ppc bugfix #18849
- 2.6.47
* Tue Sep 10 2002 - lslezak@suse.cz
- use lilo instead grub at update
- version 2.6.46
* Tue Sep 10 2002 - fehr@suse.de
- fix root device detection of mk_lilo_conf
- change default mbr detection in Boot.ycp (#19117)
- prevent blanks in label in BootLILO.ycp (#19181)
- version 2.6.45
* Mon Sep 09 2002 - lslezak@suse.cz
- allow installation on extended partion (#19184)
- version 2.6.44
* Mon Sep 09 2002 - mvidner@suse.cz
- Replace whitespace (and nonprintable characters)
  in lilo section labels by an underscore (#19181).
- Properly use / or /boot/ in /boot/grub/menu.lst during upgrade (#19125).
- 2.6.43
* Sun Sep 08 2002 - mvidner@suse.cz
- Fixed the testsuite.
- 2.6.42
* Sun Sep 08 2002 - kkaempf@suse.de
- drop "make check" for the moment.
* Fri Sep 06 2002 - kkaempf@suse.de
- workaround for hwinfo bug (#19071)
- 2.6.41
* Fri Sep 06 2002 - jsrain@suse.cz
- fixed provides/obsoletes
- 2.6.40
* Fri Sep 06 2002 - jsrain@suse.cz
- fixed deletion of cfg. file entries wjen using GRUB (Bug #18962)
- fixed rendering GRUB menu on installed system (Bug #18973)
- fixed handling of errors during bootlaoder installation
  (Bug #19020)
- 2.6.39
* Thu Sep 05 2002 - kkaempf@suse.de
- properly check for update when determing boot type
- 2.6.38
* Thu Sep 05 2002 - jsrain@suse.cz
- not calling Storage::UseLilo () in Boot module constructor
- 2.6.37
* Thu Sep 05 2002 - schwab@suse.de
- Move elilo.conf to /boot/efi/SuSE.
* Wed Sep 04 2002 - jsrain@suse.cz
- fixed bootfloppy function (Bug #17430)
- fixed checking for need to set active partition (Bug #18835)
- fixed reseting bootloader type after partitioning change
- fixed label of sections dialog (Bug #18877)
- 2.6.36
* Tue Sep 03 2002 - kukuk@suse.de
- installation/src/silo/agents/update_silo_conf: New
  file, modifies silo.conf and boot/message if an update is done.
- installation/src/silo/BootSILO.ycp: Implement calling "dosilo"
  script.
- prom.cc: Add reg string if prom name exists at least once.
* Tue Sep 03 2002 - jsrain@suse.cz
- fixed usage of Pkg::SourceProvideFile function
* Tue Sep 03 2002 - jsrain@suse.cz
- if partitioning changes, resets bootloader location to MBR, only
  meaningful partitions possible as bootloader bootsector locations
  (Bug #18744)
- 2.6.35
* Mon Sep 02 2002 - jsrain@suse.cz
- added reset function (for calling after partitioning changes
  during installation) (Bug #18744)
* Mon Sep 02 2002 - jsrain@suse.cz
- updating prep boot partition during installation on PPC
  (Bug #18689)
- 2.6.34
* Fri Aug 30 2002 - jsrain@suse.cz
- fixed bootfloppy creation (not yet tested) (Bug #17430)
- building fixed
- removed shadowed symbols (Bug #18622)
- 2.6.33
* Wed Aug 28 2002 - kkaempf@suse.de
- fix checking for splashscreen
- 2.6.31
* Wed Aug 28 2002 - jsrain@suse.cz
- fixed building on SPARC
- removed unneeded files from GRUB installation
- fixed boot floppies location
- fixed logging
- 2.6.32
* Tue Aug 27 2002 - jsrain@suse.cz
- if no boot message exists not including in menu.lst (Bug #18381)
- fixed ordering of list of kernel images / other partitions
- 2.6.30
* Mon Aug 26 2002 - nashif@suse.de
- do not reset location value in autoinst mode
- if location is not empty, configure boot device in autoinst
  mode (Avoid calling ConfigureLocation)
- 2.6.29
* Mon Aug 26 2002 - jsrain@suse.cz
- removed icons from control center on S390 (Bugs #18371 and #18367)
- fixed curses UI buttons (Bug #18333)
- fixed handling of nonwritable floppy (Bug #18312)
- fixed PPC installation (Bug #18140)
- 2.6.28
* Fri Aug 23 2002 - jsrain@suse.cz
- fixed lists of devices (Bug #18269)
- fixed installation on compaq disk array (Bug #18134)
- 2.6.27
* Tue Aug 20 2002 - arvin@suse.de
- correctly handle hvc console on ppc
- 2.6.26
* Tue Aug 20 2002 - jsrain@suse.cz
- fixed original configuration restore when using GRUB
- fixed partition list reading
- 2.6.25
* Mon Aug 19 2002 - jsrain@suse.cz
- modified failsafe kernel image name for update of lilo
- fixed GRUB save after configuration
- not deleting old device map during installation
- /sbin/elilo now not running after configuration change
- 2.6.24
* Fri Aug 16 2002 - jsrain@suse.cz
- added universal functions for accessing kernel parameters
  independent on bootloader
- modified failsafe kernel image name
- fixed kdoc comments
- merged proofread texts
- now building initrd on S390
- 2.6.23
* Tue Aug 13 2002 - jsrain@suse.cz
- fixed handling different BIOS Ids (Bug #17594)
- added disableapic to failsafe kernel command
- 2.6.22
* Fri Aug 09 2002 - jsrain@suse.de
- fixed installation on S390 (Bug #17244)
- 2.6.21
* Fri Aug 09 2002 - jsrain@suse.de
- now setting framebuffer vga mode (Bug #17537)
- 2.6.20
* Thu Aug 08 2002 - jsrain@suse.de
- fixed device name translation for GRUB during installation for
  other systems
- 2.6.19
* Wed Aug 07 2002 - jsrain@suse.de
- Fix adaptation for multiple 'other' partitions for booting
  for GRUB (#17458)
- 2.6.18
* Wed Aug 07 2002 - kkaempf@suse.de
- Allow for multiple 'other' partitions for booting (#17458)
* Wed Aug 07 2002 - jsrain@suse.de
- added support for changing kernel command line for other modules
  when using GRUB easily
- 2.6.17
* Tue Aug 06 2002 - jsrain@suse.de
- fixed abort button behaviour
- 2.6.16
* Tue Aug 06 2002 - jsrain@suse.de
- fixed ordering of GRUB commands in menu.lst
- added expert configuration of /etc/grub.conf
- 2.6.15
* Mon Aug 05 2002 - jsrain@suse.cz
- fixed lilo update problem (Bug #15819)
- fixed bootloader loaction dialog contents (Bug #17320)
* Mon Aug 05 2002 - arvin@suse.de
- changes for new /etc/install.inf agent
* Mon Aug 05 2002 - fehr@suse.de
- make BootS390.ycp work again (was broken after 8.0 changes)
- 2.6.13
* Thu Aug 01 2002 - jsrain@suse.cz
- minor updates and fixes
- 2.6.12
* Tue Jul 30 2002 - jsrain@suse.cz
- added comments for translators
* Tue Jul 30 2002 - arvin@suse.de
- fixed configuration of grub
* Mon Jul 29 2002 - jsrain@suse.cz
- added basic expert dialogs for GRUB
- several fixes
- 2.6.10
* Fri Jul 26 2002 - jsrain@suse.cz
- fixed configuration of installed system for GRUB
- added password support for GRUB
- added boot from floppy support for GRUB
- 2.6.9
* Fri Jul 26 2002 - jsrain@suse.cz
- added bootloader graphical screen support for GRUB
- added other OS during installation support for GRUB
- 2.6.8
* Thu Jul 25 2002 - schwab@suse.de
- Fix doelilo script.
* Thu Jul 25 2002 - jsrain@suse.cz
- added support for GRUB configuration on running system
- added support for installing GRUB during installation process
- fixed for lilo startup (#17142)
- 2.6.7
* Mon Jul 22 2002 - kkaempf@suse.de
- prepare for GRUB support
* Wed Jul 17 2002 - arvin@suse.de
- fixed file list for i386 (use %%ix86 macro)
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Mon Jul 08 2002 - mvidner@suse.cz
- fixed Provides/Obsoletes (yast2-agent-liloconf)
* Thu Jul 04 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Wed Jul 03 2002 - lslezak@suse.cz
- fixed installation/src/ppc/agents/Makefile.am (ppc build bug)
- version 2.6.2
* Tue Jul 02 2002 - lslezak@suse.cz
- merged with yast2-agent-lilo, yast2-agent-prom,
  yast2-config-bootfloppy and yast2 lilo installation part
- renamed to yast2-bootloader
- version 2.6.1
* Tue Jun 25 2002 - lslezak@suse.cz
- addded editor for expert user
- changed ABC::`abc -> ABC::abc
- version 2.6.0
* Thu Apr 11 2002 - lslezak@suse.cz
- SuSE-8_0-Branch merged to the head
* Thu Mar 21 2002 - mvidner@suse.cz
- Obsoletes yast2-config-bootloader. (#15135)
- 2.5.13
* Fri Mar 15 2002 - dmeszar@suse.cz
- fixed #14935 (can't close with WM)
* Mon Mar 04 2002 - dmeszar@suse.cz
- fixed bug #14100 (main dialog not hiden when exiting)
- screenshot mode implemented
* Mon Feb 18 2002 - dmeszar@suse.cz
- fixed bug #13505 (incomplete label "Uninstall boot loader from"->
  device name is missing)
- fixed bug #13524 (broken writing of special lilo options
  (like change-rules, disk, map-drive...)
* Mon Feb 11 2002 - dmeszar@suse.cz
- fixed restoring original settings from installation
* Tue Feb 05 2002 - dmeszar@suse.cz
- implemented section order changing
* Mon Jan 28 2002 - dmeszar@suse.cz
- don't read 'user_settings'
* Wed Jan 23 2002 - dmeszar@suse.cz
- fixed rpm dependencied
* Fri Jan 11 2002 - dmeszar@suse.cz
- fixed original lilo.conf restoring
* Sat Dec 22 2001 - dmeszar@suse.cz
- autoinstallation adaptation
- installed linux's scanner
- 3rd param for 'select', fixed specfile
* Fri Nov 09 2001 - dmeszar@suse.cz
- major ui changes- new startup dialog, sequence changed
- addaptation for installation
* Thu Sep 20 2001 - dmeszar@suse.cz
- module icon changed to 'boot.png' ;)
* Tue Sep 18 2001 - dmeszar@suse.cz
- module icon changed to 'lilo.png' (#10656)
* Mon Sep 17 2001 - dmeszar@suse.cz
- bug #10661 fixed (lilo configuration written without change !!)
- bug #10667 fixed (No section is marked as default, if there is the
  keyword 'default' missing in the lilo.conf.)
* Thu Sep 13 2001 - kendy@suse.cz
- Write the lilo.conf first and then run lilo (not in the reverse
  order...)
- Some unused code removed, lilo_write.ycp is not distributed.
* Mon Sep 10 2001 - dmeszar@suse.cz
- use Arch:: instead of user_settings
* Tue Sep 04 2001 - dmeszar@suse.cz
- fix #10062
- fixed the qt-IntField update bug (after creation of
  dialog the intfield doesn't show its actual value
  but shows 0 under qt)
* Fri Aug 31 2001 - dmeszar@suse.cz
- use 'Add other section' radio button instead of 'add windows/os2 section'
  for sparcs
- removed debug logging
* Mon Aug 27 2001 - dmeszar@suse.cz
- removed 'uninstall silo', 'install to boot/root' for sparcs
- sparc: if kernel image's path is /'kernel', add '/boot' as prefix
  when checking the kernel existence and description
* Mon Aug 20 2001 - dmeszar@suse.cz
- fixed section label displaying in summary table ("section label" - > section label)
* Mon Aug 13 2001 - dmeszar@suse.cz
- fixed description for other sections in summary table
* Wed Aug 08 2001 - dmeszar@suse.cz
- correct handling od '\' '"' chars when reading ui input fields
- fixed 'other' section removing
- section quota set to 16
* Tue Jul 31 2001 - dmeszar@suse.cz
- uninstall ability implemnted
- section removing fixed
- don't show 'image' option in options list of image/other section
- help text for options stripped to minimal acceptable extent
- options dialog layout changes
- option editing dialog added
* Mon Jul 30 2001 - dmeszar@suse.cz
- save confirm dialog added
* Thu Jul 26 2001 - dmeszar@suse.cz
- proof-read texts, platform dependent code added
* Thu Mar 22 2001 - dmeszar@suse.cz
- initial version
